package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TradeKind;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.jljc.vo.TradeKindTreeVo;
import com.nantian.cloud.jljc.vo.TreeVo;

import java.util.List;

/**
 * <p>
 * 行业门类、大类、行业编码 服务类
 * </p>
 *
 * @author stz
 * @since 2020-08-10
 */
public interface TradeKindService extends IService<TradeKind> {

    TradeKind getNameByCode(TradeKind tradeKind);

    List<TradeKindTreeVo> getTradeKindTree();


    TradeKind selectbycode(TradeKind tradeKind);

    List<TradeKind> selectCategory();
}
